changeset 1550:866adfa9c63c

Tweak chroot-splice a bit more: back to hardlinks, plus read only bind mounts.
author Rob Landley <rob@landley.net>
date Fri, 05 Oct 2012 21:32:24 -0500
parents e5669b094e12
children 125462a318c6
files more/chroot-splice.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/more/chroot-splice.sh	Fri Oct 05 21:19:22 2012 -0500
+++ b/more/chroot-splice.sh	Fri Oct 05 21:32:24 2012 -0500
@@ -36,11 +36,11 @@
 fi
 
 # Copy root filesystem and splice in control image
-cp -a "build/root-filesystem-$1" "$CHROOT" || exit 1
+cp -la "build/root-filesystem-$1" "$CHROOT" || exit 1
 
 if [ -d "$2" ]
 then
-  rm -rf "$CHROOT/mnt" && cp -a "$2" "$CHROOT/mnt" || exit 1
+  mount -o bind,ro "$2" "$CHROOT/mnt" || exit 1
 else
   mount -o loop "$2" "$CHROOT/mnt" || exit 1
 fi